### Function

# GLib UnicodeScript to_iso15924

since: 2.30

#### Declaration [src]

    guint32
    g_unicode_script_to_iso15924 (
      GUnicodeScript script
    )

#### Description [src]

Looks up the ISO 15924 code for `script`. ISO 15924 assigns four-letter codes to scripts. For example, the code for Arabic is ‘Arab’. The four letter codes are encoded as a `guint32` by this function in a big-endian fashion. That is, the code returned for Arabic is 0x41726162 (0x41 is ASCII code for ‘A’, 0x72 is ASCII code for ‘r’, etc).

See Codes for the representation of names of scripts for details.

Available since: 2.30

#### Parameters

`script`

  Type: `GUnicodeScript`

  A Unicode script.

#### Return value

Type: `guint32`

The ISO 15924 code for `script`, encoded as an integer, of zero if `script` is `G_UNICODE_SCRIPT_INVALID_CODE` or ISO 15924 code ‘Zzzz’ (script code for UNKNOWN) if `script` is not understood.